<?php
extract($params);
if(!empty($from) && $from == 'codescan' && !empty($fromID) && !empty($fromServerID))
{
    $this->app->loadLang('codescan');
    $issueID  = isset($fromID) ? $fromID : 0;
    $gitfoxID = isset($fromServerID) ? $fromServerID : 0;

    $result = $this->loadModel('codescan')->changeIssueState($gitfoxID, $issueID, 'solving');
    if(!$result) $this->sendError($this->lang->codescan->notice->changeStateFailed);
    return $this->send(array('result' => 'success', 'message' => $this->lang->saveSuccess, 'closeModal' => true, 'load' => true));
}
